Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
openssl.h File Reference
`#include <botan/pk_ops_fwd.h>`
`#include <botan/secmem.h>`
`#include <botan/exceptn.h>`
`#include <memory>`
`#include <string>`
`#include <openssl/err.h>`
`#include <openssl/evp.h>`

Go to the source code of this file.

## Classes
class | Botan::OpenSSL_Error

## Namespaces
| Botan

## Functions
std::unique_ptr< BlockCipher > | Botan::make_openssl_block_cipher (const std::string &name)
std::unique_ptr< HashFunction > | Botan::make_openssl_hash (const std::string &name)